Package org.fife.ui.rtextarea

## Class RTextAreaHighlighter.LayeredHighlightInfoImpl

- java.lang.Object
- - org.fife.ui.rtextarea.RTextAreaHighlighter.HighlightInfoImpl
  - - org.fife.ui.rtextarea.RTextAreaHighlighter.LayeredHighlightInfoImpl

- All Implemented Interfaces:
    `Highlighter.Highlight`, `RTextAreaHighlighter.HighlightInfo`, `RTextAreaHighlighter.LayeredHighlightInfo`
  Enclosing class:
    RTextAreaHighlighter

      protected static class RTextAreaHighlighter.LayeredHighlightInfoImpl
      extends RTextAreaHighlighter.HighlightInfoImpl
      implements RTextAreaHighlighter.LayeredHighlightInfo

  A straightforward implementation of `HighlightInfo` for painting layered highlights.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `height` |
    `int` | `width` |
    `int` | `x` |
    `int` | `y` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `LayeredHighlightInfoImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `paintLayeredHighlights​(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)` | Restricts the region based on the receivers offsets and messages the painter to paint the region.

    - ### Methods inherited from class org.fife.ui.rtextarea.RTextAreaHighlighter.HighlightInfoImpl

      `getColor, getEndOffset, getPainter, getStartOffset, setEndOffset, setPainter, setStartOffset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.text.Highlighter.Highlight

      `getEndOffset, getPainter, getStartOffset`

- - ### Field Detail

    - #### x

          public int x

    - #### y

          public int y

    - #### width

          public int width

    - #### height

          public int height

  - ### Constructor Detail

    - #### LayeredHighlightInfoImpl

          protected LayeredHighlightInfoImpl()

  - ### Method Detail

    - #### paintLayeredHighlights

          public void paintLayeredHighlights​(Graphics g,
                                             int p0,
                                             int p1,
                                             Shape viewBounds,
                                             JTextComponent editor,
                                             View view)

      Restricts the region based on the receivers offsets and messages the painter to paint the region.
      Specified by:
        `paintLayeredHighlights` in interface `RTextAreaHighlighter.LayeredHighlightInfo`